# pion::net::PionUser Class Reference

`#include <PionUser.hpp>`

List of all members.

## Detailed Description

PionUser: base class to store user credentials

Definition at line 34 of file PionUser.hpp.

## Public Member Functions

| PionUser (std::string const &username)
| construct a new PionUser object
| PionUser (std::string const &username, std::string const &password)
| construct a new PionUser object
virtual | ~PionUser ()
| virtual destructor
std::string const & | getUsername () const
| returns user name as a string
std::string const & | getPassword () const
| returns password for the user (encrypted if SSL is enabled)
virtual bool | matchPassword (const std::string &password) const
virtual void | setPassword (const std::string &password)
| sets password credentials for given user

## Protected Attributes

const std::string | m_username
| username string
std::string | m_password
| password string (actual contents depends on implementation)

## Classes

class | BadPasswordHash
| exception thrown if a bad password hash is given to setPasswordHash() More...

## Member Function Documentation

virtual bool pion::net::PionUser::matchPassword | ( | const std::string & | password | ) | const`[inline, virtual]`

matches password credential for given user

Parameters:

  | password | password credentials

Definition at line 74 of file PionUser.hpp.

References m_password.

The documentation for this class was generated from the following file:

- net/include/pion/net/PionUser.hpp